Subject: What is "Kombucha"?

From: [email-masked] (Walker Miller)
Date: 29 Nov 1994 11:49:02 -0800

I have had an inquiry on how to grow and information on "Kombucha".  I have not
found any fungus listed by this common name.  Can someone tell me what the
specfic binomial is and and perhaps current synomony.  Thank you!

Walker Miller                                  Office: 803-656-5732
Extension Plant Pathologist & Physiologist     Fax:    803-656-0274
Department of Plant Pathology & Physiology
206 Long Hall, Box 340377
Clemson University                          User ID: WMiller
Clemson, SC  29634-0377                     Internet:[email-masked]